<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
   >

    <LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:layout_margin="16dp"
        android:orientation="vertical"
        android:padding="10dp">

        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_name"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>

        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextEmail"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rEditEmail"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_email"
                android:inputType="textEmailAddress"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>

        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextPhone"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rEditPhone"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_phone"
                android:inputType="phone"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>
        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextlocation"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rEditlocation"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_location"
                android:inputType="text"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>
        <android.support.v7.widget.AppCompatTextView
            android:id="@+id/rTextlanguage"
            android:paddingLeft="10dp"
            android:paddingTop="20dp"
            android:textColor="@color/colorPrimaryText"
            android:layout_width="match_parent"
            android:textSize="18sp"
            android:hint="@string/hint_language"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"/>

            <android.support.v7.widget.AppCompatSpinner
                android:id="@+id/rSpinner"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"

               android:padding="8dp"  />

        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextPincode"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rEditPincode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_pincode"
                android:inputType="phone"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>
        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextUserName"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp">

            <EditText
                android:id="@+id/rEditUserName"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_username"
                android:inputType="text"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>

        <android.support.design.widget.TextInputLayout
            android:id="@+id/rTextPassword"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="10dp"
            app:passwordToggleEnabled="true">

            <EditText
                android:id="@+id/rEditPassword"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:hint="@string/hint_password"
                android:inputType="textPassword"
               android:padding="8dp"  />
        </android.support.design.widget.TextInputLayout>

        <Button
            android:id="@+id/btnRegister"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:layout_marginTop="20dp"
            android:background="@color/colorPrimary"
            android:text="@string/register"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/btnLinkToLoginScreen"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dip"
            android:background="@null"
            android:text="@string/btn_link_to_login"
            android:textAllCaps="false"
            android:textColor="@color/colorPrimary"
            android:textSize="15sp" />
    </LinearLayout>
</ScrollView>